# Our Thoughts

### Why can't such an online service be successful nowadays?

- Very small potential audience. Let's explain: **all audio people** (100%) minus **audio beginners who don't know about mastering** (40%) minus **pro audio guys who can do mastering on their own** (20%) minus **guys who don't believe in automated mastering** (30%), the remaining 10% are **the group of people who are open to novel things**, but this group is too small
- Mastering engineers think that such services will replace them => no support from **pro audio guys** like [KVR community]

### These are just numbers!

We have bad news for you if you think that good audio [mastering] can only be done with very expensive analog studio equipment. This is **a myth** that brings money to *a certain group of people*. The days of [vinyl] and [cassettes] are over. All [audio] is now digital, it's all about [bytes]: [integers] and [floats]. All modern [audio] can be processed using [DSP techniques][DSP]. And you can do [anything][DSPApps] with [it][DSP]. Just use **good audio software and plug-ins** or learn [DSP] with *some suitable programming languages* to make **your own stuff**. 😉

### Why did the original Matchering web service shut down?

- Too much marketing investment is required to convince people that our algorithm works. And it works with more precision than manual [mastering] *in most cases*
- Too much investment in hardware is required before going **paid**:
  - ~~Paid online service is obliged to store all completed mastering in the user's personal account => **too many hard drives are required**~~
  - ~~It should also be quickly accessible anywhere in the world => **too many VPS from different vendors are required**~~
  - ☝️ And we didn't know anything about [DevOps methodology] and [cloud computing] 😂
  - It also needs a highly qualified customer support service => **salary payments are required**
  - Etc.

*This amount of money was unaffordable for three ordinary students from the Russian Federation.*

### Why should it be successful? (As we thought)

Do you remember the [Prisma] app? **Matchering** resembles it for sound parameters such as [RMS], [FR], [peak amplitude] and [stereo width].

### Why are automated non-reference mastering services useless?

Online [mastering] services without the ability to upload a **REFERENCE** track is a [black box]. How can it know what **your track** should sound like? There are so many different *genres* and *styles*, and all of them need an individual approach to processing. And without a **REFERENCE** track, it is impossible to achieve good results. *This is pure math.*

[mastering]: https://en.wikipedia.org/wiki/Audio_mastering
[DSP]: https://en.wikipedia.org/wiki/Digital_signal_processing
[DSPApps]: https://en.wikipedia.org/wiki/Digital_signal_processing#Applications
[KVR community]: https://www.kvraudio.com/
[black box]: https://en.wikipedia.org/wiki/Black_box
[vinyl]: https://en.wikipedia.org/wiki/Vinyl
[cassettes]: https://en.wikipedia.org/wiki/Compact_Cassette
[audio]: https://en.wikipedia.org/wiki/Digital_audio
[bytes]: https://en.wikipedia.org/wiki/Byte
[integers]: https://en.wikipedia.org/wiki/Integer
[floats]: https://en.wikipedia.org/wiki/Single-precision_floating-point_format
[Matchering]: http://sound.tools
[Prisma]: https://prisma-ai.com/
[RMS]: https://en.wikipedia.org/wiki/Root_mean_square
[FR]: https://en.wikipedia.org/wiki/Frequency_response
[peak amplitude]: https://en.wikipedia.org/wiki/Amplitude
[stereo width]: https://en.wikipedia.org/wiki/Stereo_imaging
[DevOps methodology]: https://en.wikipedia.org/wiki/DevOps
[cloud computing]: https://en.wikipedia.org/wiki/Cloud_computing
